Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.tree
Class AbstractComment

    java.lang.Object
      org.dom4j.tree.AbstractNode
          org.dom4j.tree.AbstractCharacterData
              org.dom4j.tree.AbstractComment

All Implemented Interfaces:
  CharacterData, Cloneable, Comment, Node, Serializable

Direct Known Subclasses:
  FlyweightComment

public abstract class AbstractComment
extends AbstractCharacterData
implements Comment

`AbstractComment` is an abstract base class for tree implementors to use for implementation inheritence.

Version:
  $Revision: 1.13 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.dom4j.tree.AbstractNode
`NODE_TYPE_NAMES`

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`AbstractComment()`

Method Summary
`void` | `accept(Visitor visitor)` `accept` is the method used in the Visitor Pattern.
`String` | `asXML()` `asXML` returns the textual XML representation of this node.
`short` | `getNodeType()` Returns the code according to the type of node.
`String` | `getPath(Element context)` Returns the relative XPath expression which will return a node set containing the given node such as a/b/@c.
`String` | `getUniquePath(Element context)` Returns the relative unique XPath expression from the given context which will return a nodeset of one node which is the current node.
`String` | `toString()`
`void` | `write(Writer writer)` `write` writes this node as the default XML notation for this node.

Methods inherited from class org.dom4j.tree.AbstractCharacterData
`appendText`

Methods inherited from class org.dom4j.tree.AbstractNode
`asXPathResult, clone, createPattern, createXPath, createXPathFilter, createXPathResult, detach, getDocument, getDocumentFactory, getName, getNodeTypeName, getParent, getPath, getStringValue, getText, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, setText, supportsParent, valueOf`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.dom4j.CharacterData
`appendText`

Methods inherited from interface org.dom4j.Node
`asXPathResult, clone, createXPath, detach, getDocument, getName, getNodeTypeName, getParent, getPath, getStringValue, getText, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, setText, supportsParent, valueOf`

Constructor Detail

### AbstractComment

    public AbstractComment()

Method Detail

### getNodeType

    public short getNodeType()

  Description copied from interface: `Node`
  Returns the code according to the type of node. This makes processing nodes polymorphically much easier as the switch statement can be used instead of multiple if (instanceof) statements.

  Specified by:
    `getNodeType` in interface `Node`
  Overrides:
    `getNodeType` in class `AbstractNode`

### getPath

    public String getPath(Element context)

  Description copied from interface: `Node`
  Returns the relative XPath expression which will return a node set containing the given node such as a/b/@c. No indexing will be used to restrict the path if multiple elements with the same name occur on the path.

  Specified by:
    `getPath` in interface `Node`
  Overrides:
    `getPath` in class `AbstractCharacterData`

### getUniquePath

    public String getUniquePath(Element context)

  Description copied from interface: `Node`

  Returns the relative unique XPath expression from the given context which will return a nodeset of one node which is the current node. This method will use the XPath index operator to restrict the path if multiple elements with the same name occur on the path.

  Specified by:
    `getUniquePath` in interface `Node`
  Overrides:
    `getUniquePath` in class `AbstractCharacterData`

### toString

    public String toString()

### asXML

    public String asXML()

  Description copied from interface: `Node`

  `asXML` returns the textual XML representation of this node.

  Specified by:
    `asXML` in interface `Node`
  Returns:
    the XML representation of this node

### write

    public void write(Writer writer)
               throws IOException

  Description copied from interface: `Node`

  `write` writes this node as the default XML notation for this node. If you wish to control the XML output (such as for pretty printing, changing the indentation policy etc.) then please use `XMLWriter` or its derivations.

  Specified by:
    `write` in interface `Node`
  Overrides:
    `write` in class `AbstractNode`
  Throws:
    `IOException`

### accept

    public void accept(Visitor visitor)

  Description copied from interface: `Node`

  `accept` is the method used in the Visitor Pattern.

  Specified by:
    `accept` in interface `Node`
  Parameters:
    `visitor` - is the visitor in the Visitor Pattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.